Skip to main content
Infrastructure/Assets
GETInfrastructureSince 1.0SynchronousAuth Required

GetAssetLabels

Get all labels currently bound to the specified asset.

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • assetTypeStringRequired

    Type of the asset (e.g. vm, host, volume)

  • assetUuidStringRequired

    UUID of the specific asset to retrieve labels for

Responses

200 OK

On success, this API returns the following response structure.

  • dataObject

    The data value

    Example: (nested object)

Endpoint

GET/api/v1/assets/{assetType}/{assetUuid}/labels

/api/v1/assets/{assetType}/{assetUuid}/labels

Operation ID

GetAssetLabels

Permalink

Request Example

curl -X GET '{host}/api/v1/assets/{assetType}/{assetUuid}/labels' -H 'Authorization: Bearer {token}'

Response Example

200
{
  "data": null
}

Change History

This API has no change history records yet.

View all change history